// IO.cpp - by Walter O. Krawec for Small C++
// includes code for accessing an HC11's analog or digital inputs (no outputs yet...)
//

#ifndef IO_H_
#define IO_H_

namespace io
{
	class Digital	// a basic digital input class
	{
	public:
		void setup(byte* Port, byte PinMask);
		byte get();

	private:
		byte* m_Port;
		byte  m_PinMask;
	}

	class Analog	// a basic analog input class
	{
	public:
		void setup(byte* ADPort, byte ADPin);
		byte get();

	private:
		byte* m_ADPort;
		byte  m_ADPin;
	}
}

#endif