// Byte.h - written for Small C++
// contains code for basic operators on the byte data type
// this file is not needed really as all of these operators are included
// in the AOC file (saving time and memory).  However I included them here
// so you can get an idea of how to define your own operators.

#ifndef _BYTE_H_
#define _BYTE_H_

class byte
{
	byte Operator+ (byte *a, byte *b);
	byte Operator- (byte *a, byte *b);
	byte Operator& (byte *a, byte *b);
	byte Operator== (byte *a, byte *b);
	byte Operator> (byte *a, byte *b);
	byte Operator< (byte *a, byte *b);
	byte* Operator[] (byte* base, byte* offset);
}
#endif