// Test1.cpp is a simple program that will blink and LED on PA6 every 1/2 seconds (about)
//

#include <HC11.h>	// include HC11.h so that we have access to the 'poke' and 'delay' functions
#include <int16.H>

class TestProgram1
{
	static void main()	// our main function - this is the first thing that's run in our program
	{
		while(1)		// create an infinite loop
		{
			HC11.poke(0x1000, 0x40);	// turn on the LED
			HC11.delay();				// wait ~1/2 seconds
			HC11.poke(0x1000, 0x00);	// turn off the LED
			HC11.delay();				// wait ~1/2 seconds
		}								// do it all again!
	}
}