// StandardIO.h - by Walter O. Krawec
// In the future I would like to expand on this file, but for now it simply contains a function
// to print out a 2 byte number through the serial port (converts the number to ASCII).
//

#ifndef STANDARD_IO_H_
#define STANDARD_IO_H_

#include <int16.h>
#include <SCI.h>

namespace io
{
	class cout
	{
	public:
		static void printNumber(int16 number)
		{
			int16 div, digit;
			div = 10000;
			while(div != 0)
			{
				digit = number / div;
				number = number % div;
				digit = digit + 0x30;
				io::SCI.out((byte)digit);

				div = div / 10;
			}
		}

		static void endl()
		{
			io::SCI.out(13);
			io::SCI.out(10);
		}
	}
}

#endif